> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superagentes.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Atualizar Agente



## OpenAPI

````yaml patch /agents/{id}
openapi: 3.0.1
info:
  title: SuperAgentes.ai | API OpenAPI specifications
  description: ''
  termsOfService: https://superagentes.ai/
  contact:
    email: support@superagentes.ai
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 1.0.0
servers:
  - url: https://dash.superagentes.ai/api
security:
  - bearerAuth: []
tags:
  - name: Agentes
  - name: Conteúdo
  - name: Fonte de Conteúdo
  - name: Logs
  - name: Conversas
  - name: Campanhas
paths:
  /agents/{id}:
    patch:
      tags:
        - Agentes
      summary: Atualizar Agente
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                description:
                  type: string
                modelName:
                  enum:
                    - groq
                    - gpt_4o
                    - gpt_4o_mini
                    - claude_3_5_sonnet
                temperature:
                  type: number
                  description: Temperatura do modelo (mínimo 0.0, máximo 1.0)
                systemPrompt:
                  description: Prompt do sistema do agente
                  type: string
                userPrompt:
                  description: Prompt do usuário do agente
                  type: string
                visibility:
                  enum:
                    - public
                    - private
              required:
                - description
      responses:
        '200':
          description: Sucesso
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  description:
                    type: string
                  modelName:
                    enum:
                      - groq
                      - gpt_4o
                      - gpt_4o_mini
                      - claude_3_5_sonnet
                  temperature:
                    type: number
                    description: Temperatura do modelo (mínimo 0.0, máximo 1.0)
                  visibility:
                    enum:
                      - public
                      - private
                  systemPrompt:
                    description: Prompt do Sistema
                    type: string
                  userPrompt:
                    description: Prompt do Usuário
                    type: string
        '400':
          description: Body inválido
        '403':
          description: Não autorizado
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````